Subject: Re: [PATCH] cdc_ether: flag the Cinterion PLS8 modem by gemalto as WWAN

From: Oliver Neukum <[email-masked]>
Date: Tue, 27 Feb 2018 13:43:26 +0100

Am Dienstag, den 27.02.2018, 13:29 +0100 schrieb Bjørn Mork :
> Bassem Boubaker <[email-masked]> writes:
> 
> > 
> > +#define GEMALTO_VENDOR_ID	0x1e2d
> 
> This is defined as CINTERION_VENDOR_ID in drivers/usb/serial/option.c.
> 
> I have no idea which defintion is most correct, but I believe the macros
> should be kept identical whatever you decide. Anything else is just
> unnecessarily confusing.
> 
> IMHO the company name tracking macros have grown beyond useful a long
> time ago. They just make it harder to grep for the IDs without adding
> any useful information whatsoever. And because you have cases like this
> where the same number end up having different names, they sometimes hide
> information which a plain number would have revealed.

Hi,

I concur. Could you redo the patch and just use a plain number?

	Regards
		Oliver